'v2
Dim rxSearch(9, 1) ' First value sets number of searches (zero-based)
rxSearch(0, 0) = "<posX>(\d+)</posX>"
rxSearch(0, 1) = 0
rxSearch(1, 0) = "<posY>(\d+)</posY>"
rxSearch(1, 1) = 0
rxSearch(2, 0) = "<spinposX>(\d+)</spinposX>"
rxSearch(2, 1) = 0
rxSearch(3, 0) = "<spinposY>(\d+)</spinposY>"
rxSearch(3, 1) = 0
rxSearch(4, 0) = "<hoverX>(\d+)</hoverX>"
rxSearch(4, 1) = 0
rxSearch(5, 0) = "<hoverY>(\d+)</hoverY>"
rxSearch(5, 1) = 0
rxSearch(6, 0) = "<backgroundx>(\d+)</backgroundx>"
rxSearch(6, 1) = 0
rxSearch(7, 0) = "<backgroundy>(\d+)</backgroundy>"
rxSearch(7, 1) = 0
rxSearch(8, 0) = "<InfoImagex>(\d+)</InfoImagex>"
rxSearch(8, 1) = 0
rxSearch(9, 0) = "<InfoImagey>(\d+)</InfoImagey>"
rxSearch(9, 1) = 0

Const ForReading = 1, ForWriting = 2, ForAppending = 8
Set regEx = New RegExp  ' Create a regular expression.
regEx.IgnoreCase = True ' Set case insensitivity.
regEx.Global = True     ' Set global applicability.
Set fso = CreateObject("Scripting.FileSystemObject")

FileQuery(Left(Wscript.ScriptFullName, Len(Wscript.ScriptFullName) - Len(Wscript.ScriptName)))

Function FileQuery(dirName)
	' Gets the Files collection for the folder
	Set f = fso.GetFolder(dirName)
	Set files = f.Files

	' Enumerates and processes the files
	For Each file In files
		If Right(file.Name, 4) = ".xml" Then
			Set ts = fso.OpenTextFile(file.Path, ForReading)
			textReplace = ""
			Do While ts.AtEndOfStream <> True
				newLine = ts.ReadLine
				For i = 0 To UBound(rxSearch, 1)
					regEx.Pattern = rxSearch(i, 0)
					Set Matches = regEx.Execute(newLine)
					For Each Match in Matches
						NewValue = Replace(Match.Value, Match.SubMatches(0), int(Match.SubMatches(0) + rxSearch(i, 1)))
						newLine = Replace(newLine, Match.Value, NewValue)
					Next
				Next
				textReplace = textReplace & newLine & vbCrLf
			Loop
			ts.Close
			Set ts = fso.OpenTextFile(file.Path, ForWriting, True)
			ts.Write textReplace
			ts.Close
		End If
	Next

	' Process subfolders
	For Each folder In f.SubFolders  
		FileQuery folder.Path
	Next
End Function

Wscript.Echo "Done!"
